# add modules folder to interpreter path
import sys
import os
import json
import prance
from pathlib import Path
from typing import Dict, Any

modules_path = '../../modules/'
if os.path.exists(modules_path):
    sys.path.insert(1, modules_path)

from services.user_service import UserService
from env_info import is_running_locally

if __name__ == "__main__":
    if is_running_locally():
        path = f'{modules_path}/security/default_users.json'
    else:
        path = '/srv/articonf/default_users.json'

    with open(path, "r") as file_handler:
        content = file_handler.read()
        users = json.loads(content)

        for user in users:
            if "username" in user and "password" in user and "role" in user:
                UserService.add(user["username"], user["password"], role=user["role"])
            else:
                print(f"Missing field in user object, required=(username, password, role), given=({user.keys()})")